<?php
/*
Wacintaki/Wax Poteto Member Rename Script
Copyright 2004-2011 Marc "Waccoon" Leveille
Version 1.5.0 - Last modified 12/15/2011

Todo: fix support for multiple boards
*/


if (!get_magic_quotes_gpc()) {
	function tool_slash_it($in){
		return addslashes ($in);
	}
} else {
	set_magic_quotes_runtime (0);

	function tool_slash_it($in) {
		return $in;
	}
}


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// Authorize
if (!$flags['owner']) {
	w_exit ('You cannot access the member rename tool!  Login first.');
}

if (!function_exists ('db_query')) {
	w_exit ('Sorry, this tool only works with Wacintaki version 1.5.0 or higher.');
}


// Change name
if (isset ($_POST['oldname']) && isset ($_POST['newname'])) {
	// No slashes allowed
	$old = tool_slash_it($_POST['oldname']);
	$new = tool_slash_it($_POST['newname']);

	$result = db_query ("SELECT usrname FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='{$old}'");
	if (!$result || db_num_rows ($result) < 1) {
		w_exit ("Name &quot;<strong>{$old}</strong>&quot; not found.  Is it typed correctly?");
	}

	$result = db_query ("SELECT usrname FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='{$new}'");
	if ($result && db_num_rows ($result) > 0) {
		w_exit ("Name &quot;<strong>{$new}</strong>&quot; already exists!");
	}

	$result = db_query ("DELETE FROM {$OekakiPoteto_MemberPrefix}oekakionline WHERE onlineusr='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekaki SET usrname='{$new}' WHERE usrname='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_Prefix}oekakidta SET usrname='{$new}' WHERE usrname='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_Prefix}oekakicmt SET usrname='{$new}' WHERE usrname='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekakichat SET usrname='{$new} WHERE usrname='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekakimailbox SET reciever='{$new}' WHERE reciever='{$old}'");
	$result = db_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekakimailbox SET sender='{$new}' WHERE sender='{$old}'");

	w_exit ("Name changed from &quot;<strong>{$old}</strong>&quot; to &quot;<strong>{$new}</strong>&quot;");
}

db_close ($dbconn);


?>
<html>
<body>
<form name="form1" action="<?=$_SERVER['PHP_SELF'];?>" method="post">
	<p>
		This tool changes the name of an oekaki member.  Be aware that this tool only supports a single oekaki board, and will NOT work with multiple boards sharing one database.
	</p>

	<p>
		Name to change:  <input name="oldname" type="text" size="40" />
	</p>

	<p>
		New name:  <input name="newname" type="text" size="40" />
	</p>

	<p>
		<input type="Submit" name="Submit" value="Submit" />
	</p>
</form>

</body>
</html>